@charset "UTF-8";
html,body,div,
dl,dt,dd,ul,ol,li,
h1,h2,h3,h4,h5,h6,
blockquote,th,td,p,a {
  margin: 0;
  padding: 0;
  border: none;
  text-decoration: none;
}


html {
  font-size: 100%;
}
body {
  font-size: .95rem;
}
.top-midashi-zone {
  font-size: 1.3rem;
}
.obi-A {
  font-size: 1.1rem;
}
.obi-B, .footer-zone {
  font-size: 1.05rem;
}
.obi-C, .qa-card-question {
  font-size: 1rem;
}
.sitemap-hosoku {
  font-size: .9rem;
}
.span-small {
  font-size: .85rem;
}

.sitemap-hosoku {
  display: inline-block;
}


/* ダークモード（デフォルト） */
:root {
  --color-bg-page: #1F2628;  /* ページ全体背景 */
  --color-bg-section: #2A3237;  /* セクション・カード背景 */
  --color-bg-darkmode-area: #111;
  --color-btn-darkmode: #3F5544;
  --color-btn-darkmode-hover: #4F6655;

  --color-text-h1: #EEF2EF;
  --color-text-h2: #CDE0D8;
  --color-text-h3: #B8D0C8;
  --color-text-h4: #AFC8BF;
  --color-text-body: #E0E6EF;

  --color-link: #9EC4B4;
  --color-link-after: #B9DCCE;
  --color-link-hover: #B9DCCE;
  --color-link-mokuji: #B7DCD2;

  --color-imgbox: #777F77;
  --color-imgbox-hover: #999F99;

  --color-accent: #80A090;  /* 下線・アクセント */
  --color-strong: #496A69;
  --color-summary-deco: #115260;
  
  --color-qa-question: #304046;  /* QandAの質問部分 */
  --color-qa-shadow: none;
}

/* ライトモード */
html.light {
  --color-bg-page: #D1E1D7;
  --color-bg-section: #E5F1EA;
  --color-bg-darkmode-area: #8A9;
  --color-btn-darkmode: #465;
  --color-btn-darkmode-hover: #576;

  --color-text-h1: #2F5A4E;
  --color-text-h2: #366257;
  --color-text-h3: #366257;
  --color-text-h4: #3D6E62;
  --color-text-body: #212E2C;

  --color-link: #2F6B5C;
  --color-link-after: #6FBF90;
  --color-link-hover: #3F7F70;
  --color-link-mokuji: #2F6B5C;

  --color-imgbox: #999F99;
  --color-imgbox-hover: #AFB5AF;

  --color-accent: #80A090;
  --color-strong: #BCDCBF;
  --color-summary-deco: #B1E1D1;

  --color-qa-question: #C3DFD2;
  --color-qa-shadow: #C1D1CC;
}



body,section-wrapper {
  transition: background-color 0.3s ease,
    color 0.3s ease;
}

/* 初回読み込み時はトランジションを無効化 */
html.no-transition,
html.no-transition * {
  transition: none !important;
}

body {
  background-color: var(--color-bg-page);
  color: var(--color-text-body);
  text-size-adjust: 100%;
  word-break: break-all;
  line-height: 1.8;
  padding-bottom: 1rem;
}

.theme-btn-area {
  background-color: var(--color-bg-darkmode-area);
  box-shadow: 0 0 20px var(--color-bg-darkmode-area);
  padding: 15px 20px;
  text-align: right;
}

#theme-toggle {
  background-color: var(--color-btn-darkmode);
  color: #EFE;
  padding: 6px 12px;
  border: var(--color-btn-darkmode);
  border-radius: 10px;
  transition: background 0.3s ease, border 0.3s ease;
}

#theme-toggle:hover {
  background-color: var(--color-btn-darkmode-hover);
  border-color: var(--color-btn-darkmode-hover);
}

.header-img-toplogo {
  max-width: 460px;
  margin: auto;
  padding: 40px 30px 0;
  text-align: center;
}

.header-img-topsumii {
  max-width: 520px;
  margin: auto;
  padding: 20px 15px 0;
  text-align: center;
}

.header-img-sublogo {
  max-width: 320px;
  margin: auto;
  padding: 40px 65px 0;
}

.top-midashi-zone {
  text-align: center;
  margin: 0 auto 40px;
}

.top-midashi {
  padding: .5rem 2.5rem;
  border-bottom: 3px solid #9A9EB8;
  color: color: var(--color-text-h1);;
}

.main-wrapper {
  width: 90%;
  max-width: 720px;
  margin: auto;
  padding: 50px 0 0;
}

.section-wrapper {
  background-color: var(--color-bg-section);
  padding: 1.6rem 2rem 2.4rem;
  border-radius: 40px;
  margin: 0 0 40px;
}

.obi-A,.obi-B,.obi-C {
  display: block;
  position: relative;
  margin: 0 -.5rem 1rem;
  overflow: hidden;
  font-weight: bold;
}
.obi-A {
  padding: 5px 14px 4px 8px;
  border-top: 3px solid;
  border-right: 8px solid;
  border-bottom: 3px solid;
  border-left: 8px solid;
  border-radius: 10px;
  border-color: var(--color-accent);
  color: color: var(--color-text-h2);
}
.obi-B {
  padding: 5px 16px;
  border-bottom: 6px double;
  border-color: var(--color-accent);
  color: color: var(--color-text-h3);
}
.obi-C {
  padding: 5px 16px;
  border-bottom: 3px solid;
  border-color: var(--color-accent);
  color: color: var(--color-text-h4);
}
.obi-hiro {
  margin-top: 2em;
}
.obi-sema {
  margin-top: -.4em;
}
.gyou-kan {
  margin-top: .8em;
}

a {
  color: var(--color-link);
}

.link {
  position: relative;
  padding: 0 2px 1px;
  border-bottom: 2px dotted var(--color-link);
  color: var(--color-link);
  transition: color 0.4s ease;
}

.link-mokuji {
  position: relative;
  padding: 0 2px 1px;
  border-bottom: 2px dotted var(--color-link);
  color: var(--color-link-mokuji);
  transition: color 0.4s ease;
}

.link::after,
.link-mokuji::after {
  content: "";
  position: absolute;
  left: 0;
  bottom: 0;
  width: 100%;
  height: 3px;
  background: var(--color-link-after);
  opacity: 0;
  filter: blur(3px);
  transform: scaleX(0.9);
  transform-origin: left;
  transition: opacity 0.4s ease, transform 0.4s ease;
}

.link:hover,
.link-mokuji:hover {
  color: var(--color-link-hover);
}

.link:hover::after,
.link-mokuji:hover::after {
  opacity: 1;
  transform: scaleX(1);
}

.span-bold {
  font-weight: bold;
}

.span-strong {
  font-weight: bold;
  background: linear-gradient(
    to bottom,
    transparent 70%,
    var(--color-strong) 70%
  );
}

.span-mild-strong {
  background: linear-gradient(
    to bottom,
    transparent 75%,
    var(--color-strong) 75%
  );
}

.span-strong, .span-mild-strong {
  padding: 0 3px;
}

.summary-deco {
  margin: 0 -.2rem;
  padding: .2rem 1.2rem;
  background: linear-gradient(
    to right,
    var(--color-strong),
    var(--color-summary-deco)
  );
  border-radius: 1rem;
  color: var(--color-text-body);
}

.ul-mokuji,
.ul-honbun {
  padding-left: 1.5em;
  list-style-type: none;  /* デフォルトのリストマークを非表示にする */
}

.ul-honbun-child {
  padding-left: 1.5em;
  list-style-type: none;  /* デフォルトのリストマークを非表示にする */
}

.ul-mokuji {
  line-height: 2.2;
}

.ul-mokuji li,
.ul-honbun li {
}

.ul-mokuji li::before,
.ul-honbun li::before {
  content: "";           /* リストマークのかわり */
  width:  .5em;
  height:  .5em;
  display:  inline-block;
  background-color: var(--color-accent);
  border-radius:  50%;
  opacity: .8;
  left: -1em;             /* 左に1文字分ずらした位置に配置 */
  top: 1px;                 /* 上から1px下へ置く（リンクの下線に合わせ） */
  position: relative;     /* 基準位置とする */
}

.ul-honbun-child li::before {
  content: "";           /* リストマークのかわり */
  display:  inline-block;
  background: none;
  width: 0;
  height: 0;
  border-style: solid;
  border-top: .4em solid transparent;
  border-bottom: .4em solid transparent;
  border-left: .6em solid var(--color-accent);
  border-right: 0;
  border-radius:  0%;
  opacity: .8;
}

.imgbox-center, .imgbox-left, .imgbox-samune {
  height: auto;
  max-width: 520px;
  border: 3px solid var(--color-imgbox);
  box-shadow: 0 0 12px var(--color-imgbox);
  background: transparent;
  transition: border 0.2s ease, box-shadow 0.2s ease;
}

.imgbox-center, .imgbox-left {
  display: block;
}

.imgbox-samune {
  display: inline-block;
  border-radius: 12px;
  margin: 0 .5rem 1rem 0;
}

.imgbox-center:hover, .imgbox-left:hover, .imgbox-samune:hover {
  border-color: var(--color-imgbox-hover);
  box-shadow: 0 0 12px var(--color-imgbox-hover);
}

.imgbox-center {
  margin: 1rem auto;
}

.imgbox-left {
  margin: 1rem 0;
}

.img-area-wrapper {
  margin: 0 0 1.2rem;
  padding: 1rem 0 1.5rem .5rem;
  border-bottom: 6px double var(--color-accent);
}

.img-area-caption {
  display: inline-block;
  margin: 0;
  padding: 0 0 0 .6rem;
}

.imgbox-samune,
.img-area-caption {
  vertical-align: top;
}

.imgplus-omakepage {
  border-radius: 12px;
  margin: 1.2rem 0 0 .5rem;
}

.imgplus-profile {
  border-radius: 12px;
}

.qa-wrapper {
  margin: 0 0 40px;
}

.qa-card-question {
  padding: .7rem 1.5rem .5rem 1.7rem;
  background-color: var(--color-qa-question);
  color: var(--color-text-h2);
  border-radius: 18px 18px 0 0;
  border: 1px solid var(--color-accent);
}

.qa-card-answer {
  padding: 1.2rem 1.8rem 1.5rem;
  background-color: var(--color-bg-section);
  color: var(--color-text-body);
  border-radius: 0 0 18px 18px;
  border: 1px solid var(--color-accent);
  border-top: none;
  box-shadow: 0 6px 10px var(--color-qa-shadow);
}

.footer-zone {
  text-align: center;
  padding: 0 0 3.5rem;
}
